🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: gnu.emacs.gnus
Article #710

Re: Bug fix for a couple of 3.10 problems

#710
From: Karl Kleinpaste
Date: Thu, 17 Nov 1988 18:42
52 lines
3115 bytes
kddlab!photon.stars.flab.fujitsu.junet!umerin@UUNET.UU.NET writes:
   RFC977 said:
   ** If posting is permitted, the article should be presented in the
   ** format specified by RFC850, and should include all required header
   ** lines.
   RFC1036 (which obsoletes RFC850) said:
   ["required" == "From" "Date" "Newsgroups" "Subject" "Message-ID" "Path"]

   That's why GNUS does it by itself.

I think you missed my point - I was not clear.  Let me try again.

You appear to implement the NNTP connection directly when operating
with a true NNTP host.  Hence, you must of course format all the
required lines in that case, since you have taken over what is
otherwise the responsibility of an NNTP inews.

We are operating with /usr/{lib,spool}/news NFS-mounted from a server,
and use an NNTP inews for posting.  This is essentially identical to a
strictly local spool arrangement from external appearances.  So in
this case, you call inews to do the dirty work.  Both flavors of inews
will format correct headers for everything except From:, Newsgroups:,
and Subject: lines; that is, the NNTP inews (in my case) takes
responsibility for formatting everything that the NNTP server requires
except those 3 lines.  Hence, I would say that only those 3 are
necessary for GNUS to format.

One might argue that, since NNTP inews and server do not format a
Message-ID: but instead depend on the inews on the server to add it,
that the normal NNTP inews and server programs are not operating in
comformance with the RFC.  It does format the Path: correctly, though.

(Of course, it's entirely likely that I'm just a seriously confused
individual.  Please feel free to correct my misunderstandings.)

   An NNTP inews appends .signature unconditionally. That's why you get
   confused. At least, I have no problems with posting with POST command
   of NNTP and real local inews.
   Do I have to introduce new variable, gnus-append-signature-p or
   something like that?

I don't think I understand.  A real local inews would include
.signature, and your lisp code does so as well; wouldn't you get a
doubled .signature in the local case?  That is essentially what I
(appear to) have, and I very definitely got doubled .signature without
the commented-out patch I posted.

--Karl
-=-
"He even writes obnoxious LISP CODE!"
	-- A local Lisp hacker and AI expert, having tried
	   (thus far unsuccessfully) to bring up Gnews 2.0.
Technical Details
Message-ID: <KARL.88Nov17134246@triceratops.cis.ohio-state.edu>
Path: arc1-ca.pugleaf.net!utzoo!utgpu!watmath!uunet!tut.cis.ohio-state.edu!triceratops.cis.ohio-state.edu!karl
References: <KARL.88Nov16093245@triceratops.cis.ohio-state.edu> <8811170842.AA01254@photon.stars.flab.fujitsu.junet>

Show Full Headers
Complete Article Headers
Path: arc1-ca.pugleaf.net!utzoo!utgpu!watmath!uunet!tut.cis.ohio-state.edu!triceratops.cis.ohio-state.edu!karl
From: karl@triceratops.cis.ohio-state.edu (Karl Kleinpaste)
Newsgroups: gnu.emacs.gnus
Subject: Re: Bug fix for a couple of 3.10 problems
Message-ID: <KARL.88Nov17134246@triceratops.cis.ohio-state.edu>
Date: 17 Nov 88 18:42:46 GMT
References: <KARL.88Nov16093245@triceratops.cis.ohio-state.edu> <8811170842.AA01254@photon.stars.flab.fujitsu.junet>
Sender: news@tut.cis.ohio-state.edu
Distribution: gnu
Organization: OSU
Lines: 52
In-reply-to: kddlab!photon.stars.flab.fujitsu.junet!umerin@UUNET.UU.NET's message of 17 Nov 88 08:42:44 GMT